cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/maintenance-window \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"offset_duration": "172800s",
"window_duration": "21600s"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Delete the maintenance window for a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
DELETE
/
api
/
v1
/
clusters
/
{cluster_id}
/
maintenance-window
cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/maintenance-window \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"offset_duration": "172800s",
"window_duration": "21600s"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
MaintenanceWindowSpec specifies a weekly recurring maintenance window for an ADVANCED cluster.
OffsetDuration is the duration from the start of a week (Monday 00:00 UTC) that this maintenance window will start after.
Must be less than 1 week.
WindowDuration is the duration of the maintenance window.
Must be at least 6 hours and less than 1 week.

